<template>
  <slot />
</template>

<script setup lang="ts">
import { provide, type PropType } from 'vue';
import { ThemeKey, type ThemeConfig } from './ThemeDefine';

const props = defineProps({	
  theme: {
    type: Object as PropType<ThemeConfig>,
    default: () => ({})
  },
})

provide(ThemeKey, props.theme);
</script>